% Ex 4-8
% Generation of Jointly Normalized Gaussian RVs 
%
% Two Gaussian Random Variables with mean=0, variance=1 : X, Y
% rho : correlation coefficient
% 
M=10000; % the number of samples
rho=0;
%
%
for i=1:M,
    y(i)=gngauss(0,1);  % normal distribution : N(0,1)
    mx=rho*y(i);
    sigma_x = sqrt(1-rho^2);
    x(i)=gngauss(mx,sigma_x);
end;
%
%x=x+3.5;
%y=y+3.5;
%
plot(x,y,'.');
grid;
xlabel('x');
ylabel('y');