% Ex 5-6
% Example of Nonstationary RP : sine wave with the Theta of uniform distributed RV  
% Amp : uniform distributed in (0,2pi)
%
%
PI=3.141592;
Theta = 0;             % amplitude of sine wave
%
f=10;              % frequency
N=0:1000;          % the number of samples
Omega=2*PI*f;      % angle velocity
%
t=N ./ 2000;
%
for i=1:5,
    Amp(i) = rand;
    sine_value(i,:) = Amp(i)*sin(t .* Omega + Theta);
end;
%
plot(t,sine_value(1,:)+4,'-k',t,sine_value(2,:)+2,'-r',t,sine_value(3,:),'-b',t,sine_value(4,:)-2,'-g',t,sine_value(5,:)-4,'-m');
grid;
xlabel('t[sec]');
ylabel('Amplitude[V]');
axis([0 0.5 -5.5 5.5]);