% Fig 7-5
% Autocorrelation of Ex 7-5
%
tau=-10:0.01:10;   % frequency
R=5;         % resistance
L=1;        % inductance
PI=3.141592;
%
R_YY = (R/(2*L)).*exp(-(R/L).*abs(tau));
%
plot(tau,R_YY,'-')
axis([-10 10 0 1.2*(R/(2*L))]);
xlabel('tau[sec]');
ylabel('R_{YY} (tau) ');
grid;